package nl.voidcorp.discord.commands

import nl.voidcorp.discord.command.Command
import nl.voidcorp.discord.command.CommandMessage
import nl.voidcorp.discord.command.CommandResult
import nl.voidcorp.discord.command.CommandSource
import org.springframework.stereotype.Component

@Component
class PermissionLevelCommand : Command("permissions", location = CommandSource.GUILD) {
    override fun handle(event: CommandMessage): CommandResult {
        event.reply("Your highest permission level is `${getLevel(event.member!!).levelName}`")
        return CommandResult.SUCCESS
    }
}